
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <string.h>
#include <sys/time.h>

#include <netinet/in.h>

#include <limits.h>
#include <netdb.h>
#include <arpa/inet.h>

#include <sys/socket.h>
#include <errno.h>

#include <pthread.h> 

#define BUFFER_LEN	128
#define BUFFER_NUM	1024

/* Transfer variables and shared data */

struct netthreads {
		pthread_mutex_t network_mutex;
		int connected_socket;
		int socketcount;
		char textlines[BUFFER_NUM][BUFFER_LEN];
		int textlines_head;
		};

/* Prototypes */

int init_network_socket(struct netthreads *nt);
int start_network_socket(struct netthreads *nt, int connected_socket); 

int shared_data_lock(struct netthreads *nt);
int shared_data_unlock(struct netthreads *nt);
